"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchGetApplicationRevisions_1 = require("../model/operations/BatchGetApplicationRevisions");
var BatchGetApplicationRevisionsCommand = /** @class */ (function () {
    function BatchGetApplicationRevisionsCommand(input) {
        this.input = input;
        this.model = BatchGetApplicationRevisions_1.BatchGetApplicationRevisions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchGetApplicationRevisionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchGetApplicationRevisionsCommand;
}());
exports.BatchGetApplicationRevisionsCommand = BatchGetApplicationRevisionsCommand;
//# sourceMappingURL=BatchGetApplicationRevisionsCommand.js.map