"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchGetDeploymentTargets_1 = require("../model/operations/BatchGetDeploymentTargets");
var BatchGetDeploymentTargetsCommand = /** @class */ (function () {
    function BatchGetDeploymentTargetsCommand(input) {
        this.input = input;
        this.model = BatchGetDeploymentTargets_1.BatchGetDeploymentTargets;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchGetDeploymentTargetsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchGetDeploymentTargetsCommand;
}());
exports.BatchGetDeploymentTargetsCommand = BatchGetDeploymentTargetsCommand;
//# sourceMappingURL=BatchGetDeploymentTargetsCommand.js.map