"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchGetDeployments_1 = require("../model/operations/BatchGetDeployments");
var BatchGetDeploymentsCommand = /** @class */ (function () {
    function BatchGetDeploymentsCommand(input) {
        this.input = input;
        this.model = BatchGetDeployments_1.BatchGetDeployments;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchGetDeploymentsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchGetDeploymentsCommand;
}());
exports.BatchGetDeploymentsCommand = BatchGetDeploymentsCommand;
//# sourceMappingURL=BatchGetDeploymentsCommand.js.map