import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetDeploymentInstanceInput } from "../types/GetDeploymentInstanceInput";
import { GetDeploymentInstanceOutput } from "../types/GetDeploymentInstanceOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/GetDeploymentInstanceInput";
export * from "../types/GetDeploymentInstanceOutput";
export * from "../types/GetDeploymentInstanceExceptionsUnion";
export declare class GetDeploymentInstanceCommand implements __aws_sdk_types.Command<InputTypesUnion, GetDeploymentInstanceInput, OutputTypesUnion, GetDeploymentInstanceOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: GetDeploymentInstanceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetDeploymentInstanceInput, GetDeploymentInstanceOutput, Blob>;
    constructor(input: GetDeploymentInstanceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<GetDeploymentInstanceInput, GetDeploymentInstanceOutput>;
}
