"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteDeploymentGroupInput_1 = require("../shapes/DeleteDeploymentGroupInput");
var DeleteDeploymentGroupOutput_1 = require("../shapes/DeleteDeploymentGroupOutput");
var ApplicationNameRequiredException_1 = require("../shapes/ApplicationNameRequiredException");
var InvalidApplicationNameException_1 = require("../shapes/InvalidApplicationNameException");
var DeploymentGroupNameRequiredException_1 = require("../shapes/DeploymentGroupNameRequiredException");
var InvalidDeploymentGroupNameException_1 = require("../shapes/InvalidDeploymentGroupNameException");
var InvalidRoleException_1 = require("../shapes/InvalidRoleException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDeploymentGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDeploymentGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteDeploymentGroupInput_1.DeleteDeploymentGroupInput
    },
    output: {
        shape: DeleteDeploymentGroupOutput_1.DeleteDeploymentGroupOutput
    },
    errors: [
        {
            shape: ApplicationNameRequiredException_1.ApplicationNameRequiredException
        },
        {
            shape: InvalidApplicationNameException_1.InvalidApplicationNameException
        },
        {
            shape: DeploymentGroupNameRequiredException_1.DeploymentGroupNameRequiredException
        },
        {
            shape: InvalidDeploymentGroupNameException_1.InvalidDeploymentGroupNameException
        },
        {
            shape: InvalidRoleException_1.InvalidRoleException
        }
    ]
};
//# sourceMappingURL=DeleteDeploymentGroup.js.map