"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _RevisionLocation_1 = require("./_RevisionLocation");
var _TargetInstances_1 = require("./_TargetInstances");
var _AutoRollbackConfiguration_1 = require("./_AutoRollbackConfiguration");
exports.CreateDeploymentInput = {
    type: "structure",
    required: ["applicationName"],
    members: {
        applicationName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        deploymentGroupName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        revision: {
            shape: _RevisionLocation_1._RevisionLocation
        },
        deploymentConfigName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        description: {
            shape: {
                type: "string"
            }
        },
        ignoreApplicationStopFailures: {
            shape: {
                type: "boolean"
            }
        },
        targetInstances: {
            shape: _TargetInstances_1._TargetInstances
        },
        autoRollbackConfiguration: {
            shape: _AutoRollbackConfiguration_1._AutoRollbackConfiguration
        },
        updateOutdatedInstancesOnly: {
            shape: {
                type: "boolean"
            }
        },
        fileExistsBehavior: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=CreateDeploymentInput.js.map