"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._ApplicationInfo = {
    type: "structure",
    required: [],
    members: {
        applicationId: {
            shape: {
                type: "string"
            }
        },
        applicationName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        createTime: {
            shape: {
                type: "timestamp"
            }
        },
        linkedToGitHub: {
            shape: {
                type: "boolean"
            }
        },
        gitHubAccountName: {
            shape: {
                type: "string"
            }
        },
        computePlatform: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_ApplicationInfo.js.map