import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetDeploymentConfigInput } from "../types/GetDeploymentConfigInput";
import { GetDeploymentConfigOutput } from "../types/GetDeploymentConfigOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/GetDeploymentConfigInput";
export * from "../types/GetDeploymentConfigOutput";
export * from "../types/GetDeploymentConfigExceptionsUnion";
export declare class GetDeploymentConfigCommand implements __aws_sdk_types.Command<InputTypesUnion, GetDeploymentConfigInput, OutputTypesUnion, GetDeploymentConfigOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: GetDeploymentConfigInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetDeploymentConfigInput, GetDeploymentConfigOutput, Blob>;
    constructor(input: GetDeploymentConfigInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<GetDeploymentConfigInput, GetDeploymentConfigOutput>;
}
