"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _LifecycleEventList_1 = require("./_LifecycleEventList");
var _LambdaFunctionInfo_1 = require("./_LambdaFunctionInfo");
exports._LambdaTarget = {
    type: "structure",
    required: [],
    members: {
        deploymentId: {
            shape: {
                type: "string"
            }
        },
        targetId: {
            shape: {
                type: "string"
            }
        },
        targetArn: {
            shape: {
                type: "string"
            }
        },
        status: {
            shape: {
                type: "string"
            }
        },
        lastUpdatedAt: {
            shape: {
                type: "timestamp"
            }
        },
        lifecycleEvents: {
            shape: _LifecycleEventList_1._LifecycleEventList
        },
        lambdaFunctionInfo: {
            shape: _LambdaFunctionInfo_1._LambdaFunctionInfo
        }
    }
};
//# sourceMappingURL=_LambdaTarget.js.map