import { ApplicationNameRequiredException } from "./ApplicationNameRequiredException";
import { InvalidApplicationNameException } from "./InvalidApplicationNameException";
import { ApplicationDoesNotExistException } from "./ApplicationDoesNotExistException";
import { DeploymentGroupNameRequiredException } from "./DeploymentGroupNameRequiredException";
import { InvalidDeploymentGroupNameException } from "./InvalidDeploymentGroupNameException";
import { DeploymentGroupDoesNotExistException } from "./DeploymentGroupDoesNotExistException";
import { DeploymentConfigDoesNotExistException } from "./DeploymentConfigDoesNotExistException";
export declare type GetDeploymentGroupExceptionsUnion = ApplicationNameRequiredException | InvalidApplicationNameException | ApplicationDoesNotExistException | DeploymentGroupNameRequiredException | InvalidDeploymentGroupNameException | DeploymentGroupDoesNotExistException | DeploymentConfigDoesNotExistException;
